Set battery grid charge limit
POST
/batterygridchargelimit/{cost}
const url = 'https://demo.evcc.io/api/batterygridchargelimit/0.25';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.evcc.io/api/batterygridchargelimit/0.25Charge home battery from grid when price or emissions are below the threshold. Uses price if a dynamic tariff exists. Uses emissions if a CO₂-tariff is configured. Ignored otherwise.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”cost
required
number
Cost limit in configured currency (default EUR) or CO2 limit in g/kWh
Example
0.25Responses
Section titled “Responses”Success - Number result
Media typeapplication/json
object
result
number
Examplegenerated
{ "result": 1}